Skip to content

Create multiple bills in one request

Request

Security
oauth2ClientCredentials(Required scopes: bills:write)
Headers
org_wallet_refstring
business_idstringrequired
Bodyapplication/jsonrequired
billsArray of objects(CreateBillV1Dto)required

Bills to create

curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/bills/create-bulk-bills \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "bills": [
      {
        "invoice_no": "INV-001",
        "invoice_amount": 12000,
        "status": "draft",
        "supplier": {},
        "budget_owner": {},
        "team": {},
        "payments": [
          "string"
        ],
        "attachments": [
          "string"
        ],
        "withholding_taxes": [
          "string"
        ],
        "description": "Consulting services - June",
        "due_date": "2026-06-30",
        "budget": [
          "string"
        ],
        "is_draft": true,
        "category": "string",
        "category_code": "string",
        "paid_amount": 0,
        "send_on": "string",
        "currency": "KES",
        "wallet_currency": "KES",
        "original_currency": "KES",
        "tags": [
          "string"
        ],
        "fx_rate": 129.5
      }
    ]
  }'

Responses